include ../../../../../layout/components/rodapeCadastro
include ../../../../../layout/components/dynamicInputErrors
include questionario-3

#etapa-condicao
	section

		blockquote(ng-if="cadastro.modo !== 'Visualizar'", ng-repeat='atividadeCaracterizacao in cadastro.caracterizacao.atividadesCaracterizacao | existeAtividadeCaracterizacao')
			div
				h4.nome-campo-caracterizacao Tipologia: {{atividadeCaracterizacao.atividade.tipologia.nome}}
			ul
				li
					h4.atividade
						span.textos-enquadramento {{atividadeCaracterizacao.atividade.nome}} - {{atividadeCaracterizacao.isPrincipal === true ? "Atividade principal" : "Atividade complementar" }}
					ul
						div(ng-if="!cadastro.empreendimento.isPessoaFisica", ng-repeat='atividadeCnae in atividadeCaracterizacao.atividadesCnae')
							span.textos-cnaes
								b CNAE: 
								| {{atividadeCnae.codigo}} - {{atividadeCnae.nome}}
						div(ng-if="cadastro.empreendimento.isPessoaFisica", ng-repeat='atividadeCnae in atividadeCaracterizacao.atividadesCnae')
							span.textos-cnaes 
								b CNAE: 
								| {{atividadeCnae.nome}}

		blockquote
			div
				h4.nome-campo-caracterizacao Processo de outorga
				p Caso a solicitação necessite de outorga, insira o número do processo do sistema de outorga do SIRIEMA:
				select#selectProcessoOutorga.form-control(name="selectProcessoOutorga", ng-model="etapaCondicoes.processoOutorga", 
						ng-disabled="etapaCondicoes.listaProcessosOutorga.length == 0")
					option(ng-if="etapaCondicoes.listaProcessosOutorga.length == 0", value="") 
						| Nenhum processo de outorga disponível para o empreendedor
					option(ng-if="etapaCondicoes.listaProcessosOutorga.length > 0", value="") 
						| Nenhum processo de outorga selecionado
					option(ng-selected="outorga == etapaCondicoes.processoOutorga", ng-repeat="outorga in etapaCondicoes.listaProcessosOutorga", ng-value="outorga")
						| {{ outorga }} 

		blockquote(ng-if="cadastro.modo === 'Visualizar'", ng-repeat='atividadeCaracterizacao in cadastro.caracterizacao.atividadesCaracterizacao | existeAtividadeCaracterizacao')
			div
				span Tipologia: {{atividadeCaracterizacao.atividade.tipologia.nome}}
			ul
				li
					h4.atividade
						b {{atividadeCaracterizacao.atividade.nome}}
					ul
						li(ng-repeat='atividadeCnae in atividadeCaracterizacao.atividadesCnae')
							span
								b CNAE: 
								| {{atividadeCnae.codigo}} - {{atividadeCnae.nome}}

		form(name="formCondicaoQuestionario", novalidate)
			//TODO - PUMA - Squad2 - descomentar quando atividade for dsempedida
			//blockquote(ng-repeat='atividadeCaracterizacao in cadastro.caracterizacao.atividadesCaracterizacao')
				b {{atividadeCaracterizacao.atividade.nome}}
				ul(ng-repeat="pergunta in atividadeCaracterizacao.atividade.perguntas")
					h5.obrigatorio {{pergunta.texto}}

					div(ng-class="{'color-red': formCondicaoQuestionario.$submitted && formCondicaoQuestionario['resposta-{{pergunta.id}}'].$error.required, 'color-off-black': !formCondicaoQuestionario.$submitted || !formCondicaoQuestionario['resposta-{{pergunta.id}}'].$error.required}")
						.radio(ng-repeat="resposta in pergunta.respostas")
							label
								input(type='radio', name='resposta-{{pergunta.id}}', ng-model="etapaCondicoes.respostas[pergunta.id]",
									ng-value="resposta", required)
								|  {{resposta.texto}}

			blockquote(ng-if="etapaCondicoes.validarPerguntasForaQuestionario()", class="animate-if")
				+questionario3('etapaCondicoes.questionario', "false", 'formCondicaoQuestionario.$submitted')

		+rodapeCadastro('etapaCondicoes')
